Package org.wso2.carbon.proxyadmin.stub.types.synapse

# Class ProxyServiceAdminProxyAdminException

java.lang.Object
org.wso2.carbon.proxyadmin.stub.types.synapse.ProxyServiceAdminProxyAdminException

All Implemented Interfaces:
  `Serializable`, `org.apache.axis2.databinding.ADBBean`

public class ProxyServiceAdminProxyAdminException extends Object implements org.apache.axis2.databinding.ADBBean
ProxyServiceAdminProxyAdminException bean class

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `ProxyServiceAdminProxyAdminException.Factory`
  Factory class that keeps the parse method

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected ProxyAdminException`
  `localProxyAdminException`
  field for ProxyAdminException
  `protected boolean`
  `localProxyAdminExceptionTracker`
  `static final QName`
  `MY_QNAME`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ProxyServiceAdminProxyAdminException()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `org.apache.axiom.om.OMElement`
  `getOMElement(QName parentQName, org.apache.axiom.om.OMFactory factory)`
  `ProxyAdminException`
  `getProxyAdminException()`
  Auto generated getter method
  `XMLStreamReader`
  `getPullParser(QName qName)`
  databinding method to get an XML representation of this object
  `boolean`
  `isProxyAdminExceptionSpecified()`
  `void`
  `serialize(QName parentQName, XMLStreamWriter xmlWriter)`
  `void`
  `serialize(QName parentQName, XMLStreamWriter xmlWriter, boolean serializeType)`
  `void`
  `setProxyAdminException(ProxyAdminException param)`
  Auto generated setter method

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### MY_QNAME

    public static final QName MY_QNAME

  - ### localProxyAdminException

    protected ProxyAdminException localProxyAdminException
    field for ProxyAdminException

  - ### localProxyAdminExceptionTracker

    protected boolean localProxyAdminExceptionTracker

- ## Constructor Details

  - ### ProxyServiceAdminProxyAdminException

    public ProxyServiceAdminProxyAdminException()

- ## Method Details

  - ### isProxyAdminExceptionSpecified

    public boolean isProxyAdminExceptionSpecified()

  - ### getProxyAdminException

    public ProxyAdminException getProxyAdminException()
    Auto generated getter method
    Returns:
      org.wso2.carbon.proxyadmin.stub.types.carbon.ProxyAdminException

  - ### setProxyAdminException

    public void setProxyAdminException(ProxyAdminException param)
    Auto generated setter method
    Parameters:
      `param` - ProxyAdminException

  - ### getOMElement

    public org.apache.axiom.om.OMElement getOMElement(QName parentQName, org.apache.axiom.om.OMFactory factory) throws org.apache.axis2.databinding.ADBException
    Specified by:
      `getOMElement` in interface `org.apache.axis2.databinding.ADBBean`
    Parameters:
      `parentQName` -
      `factory` -
    Returns:
      org.apache.axiom.om.OMElement
    Throws:
      `org.apache.axis2.databinding.ADBException`

  - ### serialize

    public void serialize(QName parentQName, XMLStreamWriter xmlWriter) throws XMLStreamException, org.apache.axis2.databinding.ADBException
    Specified by:
      `serialize` in interface `org.apache.axis2.databinding.ADBBean`
    Throws:
      `XMLStreamException`
      `org.apache.axis2.databinding.ADBException`

  - ### serialize

    public void serialize(QName parentQName, XMLStreamWriter xmlWriter, boolean serializeType) throws XMLStreamException, org.apache.axis2.databinding.ADBException
    Specified by:
      `serialize` in interface `org.apache.axis2.databinding.ADBBean`
    Throws:
      `XMLStreamException`
      `org.apache.axis2.databinding.ADBException`

  - ### getPullParser

    public XMLStreamReader getPullParser(QName qName) throws org.apache.axis2.databinding.ADBException
    databinding method to get an XML representation of this object
    Specified by:
      `getPullParser` in interface `org.apache.axis2.databinding.ADBBean`
    Throws:
      `org.apache.axis2.databinding.ADBException`